/*
	prof. Pit-Rada Ionel-Vasile
	O(m * log m)
	100 puncte
*/
#include<fstream>
#include<cmath>
#include<cstdlib>
#define ll long long
using namespace std;
ifstream  fin("dispozitiv.in");
ofstream fout("dispozitiv.out");
struct per{
    int v,tip;
};
int n,xd,yd;
per x[200002],y[200002],aux;

int maxim(int a, int b){
    return (a>b)?a:b;
}
int minim(int a, int b){
    return (a<b)?a:b;
}
int compare (const void * a, const void * b)
{
  int d= ( (*(per*)a).v - (*(per*)b ).v) ;
  if(d!=0)return d;
  d= ( (*(per*)a).tip - (*(per*)b ).tip) ;
  return d;
}

int main(){
    int i,j,jx,jy,jxmax,jymax,x1,y1,x2,y2,x3,y3,u1,u2,v1,v2;
    fin>>n;
    j=0;
    for(i=1;i<=n;i++){
        fin>>x1>>y1>>x2>>y2>>x3>>y3;
        u1=minim(x1,minim(x2,x3));
        u2=maxim(x1,maxim(x2,x3));
        v1=minim(y1,minim(y2,y3));
        v2=maxim(y1,maxim(y2,y3));
        j++;
        x[j].v=u1; x[j].tip=0;
        y[j].v=v1; y[j].tip=0;
        j++;
        x[j].v=u2; x[j].tip=1;
        y[j].v=v2; y[j].tip=1;
    }
    qsort(x+1,2*n,sizeof(per),compare);
    qsort(y+1,2*n,sizeof(per),compare);
    /*
    for(i=1;i<=2*n-1;i++){
        for(j=i+1;j<=2*n;j++){
            if(x[i].v>x[j].v ||(x[i].v==x[j].v && x[i].tip>x[j].tip)){
                aux=x[i]; x[i]=x[j]; x[j]=aux;
            }
            if(y[i].v>y[j].v ||(y[i].v==y[j].v && y[i].tip>y[j].tip)){
                aux=y[i]; y[i]=y[j]; y[j]=aux;
            }
        }
    }
    */
    jx=0;
    jxmax=0;
    jy=0;
    jymax=0;
    for(i=1;i<=2*n;i++){
        if(x[i].tip==0){
            jx++;
            if(jx>jxmax){
                jxmax=jx;
                xd=x[i].v;
            }
        }
        else{
            jx--;
        }

        if(y[i].tip==0){
            jy++;
            if(jy>jymax){
                jymax=jy;
                yd=y[i].v;
            }
        }
        else{
            jy--;
        }
    }

    fout<<xd<<" "<<yd<<"\n";
    fout.close();
    fin.close();
    return 0;
}


