/*
    prof. Pit-Rada Ionel-Vasile
    O(n * log n)
*/
#include<fstream>
using namespace std;
ifstream  fin("torturi.in");
ofstream fout("torturi.out");

int n, d[250002], x[25002],bmax, carry, nr;

int main()
{
    int i,j,k,mij;
    fin>>n;
    for(i=1;i<=n;i++)
    {
        fin>>d[i];
    }
    bmax=d[n];
    carry=0;
    x[1]=0;
    nr=1;
    for(i=n-1;i>=1;i--)
    {
        if(d[i]>=bmax)
        {
            bmax=d[i];
            carry++;
        }
        else
        {
            //caut binar cel mai mare k pentru care x[k]<=d[i]
            //se poate pentru ca x este ordonat crescator
            j=0; k=nr-1;
            while(j<=k)
            {
                mij=(j+k)/2;
                if(x[mij]<=d[i])j=mij+1;
                else k=mij-1;
            }
            if(k==nr-1)nr++;
            x[k+1]=d[i];
        }
    }
    fout<<carry+nr<<"\n";
    fout.close();
    fin.close();
    return 0;
}


